Request AI revision of a section
POST
/api/canvas/{deal_id}/sections/{section_key}/revise
const url = 'https://example.com/api/canvas/example/sections/example/revise';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"instructions":"example","rating":3}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/sections/example/revise \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "instructions": "example", "rating": 3 }'Queues a revision request for the specified section. Progress is broadcast via WebSocket.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
section_key
required
Section Key
string
Request Body required
Section titled “Request Body required ” Media type application/json
RevisionRequest
Request body for starting a revision.
object
instructions
required
Instructions
User’s revision instructions/feedback
string
rating
Rating
Quality rating (1=poor, 5=excellent). Default 3 = needs improvement
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
RevisionResponse
Response for revision operations.
object
Example generated
{ "status": "example", "section_key": "example", "error": "example", "decision": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}